import React from 'react';
import { reduxForm, Field } from 'redux-form';
import validate from './validate';
import fieldInput from './../../../common/formInput';

class Form extends React.Component {
    handleSubmit(event) {
        event.preventDefault();
        alert("lol");
    }

    render() {
        return (
            <form action="">
                <h2>Make a title-page for your test!</h2>

                <div className="title-page__block">
                    <p className="titles">Title</p>
                    <Field
                        className="title-page__block--"
                        name="title"
                        type="input"
                        placeholder=""
                        component={fieldInput}
                    />
                </div>

                <div className="title-page__block">
                    <p className="titles">Description</p>
                    <Field name="description" type="input" placeholder="" className="" component={fieldInput} />
                </div>

                <div className="title-page__block">
                    <p className="titles">Cover image</p>
                    <Field name="cover" type="file" placeholder="" className="" component="textarea" />
                </div>

                <button className="">Create card</button>
            </form>
        )
    }
}

export default reduxForm({
    form: "createTest",
    validate
})(Form)