import React from 'react';
import { signInRequest } from './../../../actions/auth/signIn'
import { bindActionCreators } from 'redux';
import { connect } from 'react-redux';

import SignInForm from './../../../components/auth/signInForm'

class SignInPage extends React.Component {

    render() {
        console.log("SignInPage containers props:", this.props);
        const { signInRequest } = this.props;
        return (
            <div className="page sign-in">
                <SignInForm actions={{ signInRequest }} />
            </div>
        )
    }
}

const
    mapDispatchToProps = dispatch => bindActionCreators({ signInRequest }, dispatch)

export default connect(null, mapDispatchToProps)(SignInPage)