import React from 'react';
import { signUpRequest } from './../../../actions/auth/signUp'
import { bindActionCreators } from 'redux';
import { connect } from 'react-redux';

import SignUpForm from './../../../components/auth/signUpForm'

class SignUpPage extends React.Component {

    render() {
        console.log("SignInPage containers props:", this.props);
        const { signUpRequest } = this.props;
        return (
            <div className="page sign-up">
                <SignUpForm actions={{ signUpRequest }} />
            </div>
        )
    }
}

const
    mapDispatchToProps = dispatch => bindActionCreators({ signUpRequest }, dispatch)

export default connect(null, mapDispatchToProps)(SignUpPage)